#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <errno.h>

#define PIDFILE "/tmp/dvmd_reader_pid"

int
main(int argc, char *argv[])
{
  FILE *pidfile;
  pid_t pid;
  pidfile = fopen(PIDFILE,"r");
  if (!pidfile)
    {
      perror("can't open PID-File " PIDFILE);
      exit(1);
    }
  fscanf(pidfile,"%d",&pid);
  if (kill(pid,SIGHUP) != 0)
    {
      char msg[256];
      sprintf(msg,"Kill -HUP %d failed",pid);
      perror(msg);
      if (errno == EPERM)
	fprintf(stderr,"This program should be suid dvmd!\n");
      exit;
    }
  fclose(pidfile);
  return(0);
}
